<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Imports\ELibroCollectionImport;
use Maatwebsite\Excel\Facades\Excel;

class ELibroController extends Controller
{
    /**
     * muestra la vista principal para leer el archivo CSV
     * @return vista HTML
     */
    public function mostrar(){
        return view('centro_info.principal');
    }

    /**
     * Lee el archivo csv y envia el correo a cada uno
     * @return [type] [description]
     */
    public function subir(Request $request){
        $data = $request->all();
        Excel::import(new ELibroCollectionImport, request()->file('archivo'));
    }
}
